package models

import "code.gitea.io/gitea/modules/timeutil"

type ResourceScene struct {
	ID           int64 `xorm:"pk autoincr"`
	SceneName    string
	JobType      string
	IsExclusive  bool
	ExclusiveOrg string
	QueueId      int64
	CreatedTime  timeutil.TimeStamp `xorm:"INDEX created"`
	CreatedBy    int64
	UpdatedTime  timeutil.TimeStamp `xorm:"INDEX updated"`
	UpdatedBy    int64
	DeleteTime   timeutil.TimeStamp `xorm:"deleted"`
	DeletedBy    int64
}

type ResourceSceneSpec struct {
	ID          int64              `xorm:"pk autoincr"`
	SceneId     int64              `xorm:"INDEX"`
	SpecId      int64              `xorm:"INDEX"`
	CreatedTime timeutil.TimeStamp `xorm:"created"`
}
