package resource

import (
	"code.gitea.io/gitea/models"
)

func AddResourceQueue(req models.ResourceQueueReq) error {
	if _, err := models.InsertResourceQueue(req.ToDTO()); err != nil {
		return err
	}
	return nil
}

func UpdateResourceQueue(queueId int64, req models.ResourceQueueReq) error {
	if _, err := models.UpdateResourceQueueById(queueId, models.ResourceQueue{
		CardsTotalNum: req.CardsTotalNum,
		Remark:        req.Remark,
	}); err != nil {
		return err
	}
	return nil
}

func GetResourceQueueList(opts models.SearchResourceQueueOptions) (*models.ResourceQueueListRes, error) {
	n, r, err := models.SearchResourceQueue(opts)
	if err != nil {
		return nil, err
	}

	return models.NewResourceQueueListRes(n, r), nil
}
